classification
Title: IDLE: Add _utest to textview and add textview tests
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Mariatta, louielu, terry.reedy
Priority: normal Keywords:

Created on 2017-05-08 07:58 by louielu, last changed 2017-06-23 02:14 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1499 merged louielu, 2017-05-08 08:23
PR 1641 merged terry.reedy, 2017-05-18 01:17
PR 1866 closed Mariatta, 2017-05-30 20:25
PR 1916 merged Mariatta, 2017-06-02 04:52
PR 2018 merged terry.reedy, 2017-06-09 05:39
Messages (7)
msg293228 - (view) Author: Louie Lu (louielu) * Date: 2017-05-08 07:58
Relate to #30290, add _utest to textview to support direct unittest.
msg293895 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-05-17 21:51
New changeset ba365da9cee8901fad08ab0b61c7489c110e5c97 by terryjreedy (Louie Lu) in branch 'master':
bpo-30303: IDLE: Add _utest argument to textview (#1499)
https://github.com/python/cpython/commit/ba365da9cee8901fad08ab0b61c7489c110e5c97
msg293897 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-05-17 22:06
I am adding a couple of exception tests to complete coverage.
msg295233 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-06 03:34
Louie Lu, are you louisom on GitHub?
Here in the b.p.o it shows that you have signed CLA, indicated with an asterisk next to your username.
Somehow on GitHub the bot could not verify that you've signed it.

Please clarify. Thanks.
msg295234 - (view) Author: Louie Lu (louielu) * Date: 2017-06-06 03:38
Mariatta: yes, louisom is my GitHub account. but I migrate to mlouielu this new account. Should I add louisom to b.p.o GitHub account list?
msg295241 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-06 06:23
If the bpo profile allows more than one git account, then please add the second one.
msg295271 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-06 15:57
New changeset e1a60d903276da10d1ac098e59103f4a72bef08e by terryjreedy (Mariatta) in branch '3.6':
[3.6] bpo-30303: IDLE: Add _utest argument to textview (GH-1499) (#1916)
https://github.com/python/cpython/commit/e1a60d903276da10d1ac098e59103f4a72bef08e
History
Date User Action Args
2017-06-23 02:14:44terry.reedysetstatus: open -> closed
resolution: fixed
stage: backport needed -> resolved
2017-06-09 05:39:07terry.reedysetpull_requests: + pull_request2084
2017-06-06 15:57:02terry.reedysetmessages: + msg295271
2017-06-06 06:23:31terry.reedysetmessages: + msg295241
2017-06-06 03:38:17louielusetmessages: + msg295234
2017-06-06 03:34:19Mariattasetnosy: + Mariatta
messages: + msg295233
2017-06-02 04:52:16Mariattasetpull_requests: + pull_request1996
2017-05-30 20:25:58Mariattasetpull_requests: + pull_request1950
2017-05-28 05:23:10terry.reedysetpull_requests: - pull_request1923
2017-05-28 02:56:46csabellasetpull_requests: + pull_request1923
2017-05-20 05:01:02terry.reedylinkissue30290 dependencies
2017-05-18 01:17:46terry.reedysetpull_requests: + pull_request1736
2017-05-17 22:06:32terry.reedysetmessages: + msg293897
2017-05-17 22:05:33terry.reedysettitle: IDLE: Add _utest to textview -> IDLE: Add _utest to textview and add textview tests
2017-05-17 22:02:24terry.reedysetstage: backport needed
versions: + Python 3.6
2017-05-17 21:51:34terry.reedysetmessages: + msg293895
2017-05-08 08:24:50louielusettype: enhancement
2017-05-08 08:23:59louielusetpull_requests: + pull_request1601
2017-05-08 07:58:09louielucreate